#include <camcapture.h>

/* set video device name */
char *devname = "/dev/video0";


int main(int argc, char *argv[])
{	
	/* initiate */
	camcapture_init(devname, 640, 480);
	/* image data struct */
	image_data_t imgdata;
	
	/* color to draw with (red) */
	color_rgb_t c;
	c.r = 255;
	c.g = 0;
	c.b = 0;
	
	/* Lock the device from writing to buffer */
	camcapture_lock();

	/* get a picture */
	camcapture_get_frame(&imgdata);

	/* sets a single pixel */
	camcapture_set_pixel(&imgdata, 15, 15, &c);

	/* draw a simple line thrugh the middle of the image */
	camcapture_draw_line(&imgdata, 10, 480/2, 630, 480/2, &c);

	/* draw a circle (center=image center, radius=50 */
	camcapture_draw_circle(&imgdata, 640/2, 480/2, 50, &c);
	
	/* draw a rectangle from p1=(10,10) to p2=(630,470) */
	camcapture_draw_rect(&imgdata, 10, 10, 630, 470, &c);
	
	/* draw a cross marker at p=(50, 100) */
	camcapture_draw_cross(&imgdata, 50, 100, &c);

	/* save the picture to the file frame.pnm */
	camcapture_save_pnm(&imgdata, "frame.pnm");

	/* unlock the device */
	camcapture_unlock();
	
	/* clean up */
	camcapture_destroy();
	
	return 0;
}
